/*
 * sqrt.h
 *
 *  Created on: 16-02-2017
 *      Author: Krzysztof Jakubczyk
 */

#ifndef SQRT_H_
#define SQRT_H_

#include "tdefs.h"

struct sqrt_logic
{
	float *fin;
	float *fout;
};

struct sqrt_io
{
	u32 in_float_in;
	u32 out_float_out;
}__attribute__((__packed__));

struct sqrt_params
{
}__attribute__((__packed__));

struct sqrt_args
{
	struct sqrt_io io;
	struct sqrt_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void sqrt_(void *args, void *logic);
extern int sqrt_initlog(void *arguments, void *logic);

#endif /* SQRT_H_ */
